# Run tests in check section
%bcond_without check
%global debug_package %{nil}

# https://github.com/googleapis/gax-go
%global goipath         github.com/googleapis/gax-go
Version:                2.14.1

%gometa

%global common_description %{expand:
Google API Extensions for Go (gax-go) is a set of modules which aids the
development of APIs for clients and servers based on gRPC and Google API
conventions.

Application code will rarely need to use this library directly, but the
code generated automatically from API definition files can use it to simplify
code generation and to provide more convenient and idiomatic API surface.}

%global golicenses      LICENSE
%global godocs          CODE_OF_CONDUCT.md CONTRIBUTING.md README.md RELEASING.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Google API Extensions for Go

# Upstream license specification: BSD-3-Clause
License:        BSD
Group:          Development/Golang
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles



%changelog
* Sat Mar 22 2025 pterjan <pterjan> 2.14.1-1.mga10
+ Revision: 2168620
- Update to 2.14.1
+ wally <wally>
- update RPM group to Development/Golang

* Tue Dec 24 2024 daviddavid <daviddavid> 2.12.0-1.mga10
+ Revision: 2129687
- new version: 2.12.0

* Sat Aug 20 2022 guillomovitch <guillomovitch> 2.4.0-1.mga9
+ Revision: 1878833
- new version 2.4.0

* Wed Apr 06 2022 umeabot <umeabot> 2.1.0-2.mga9
+ Revision: 1845967
- Mageia 9 Mass Rebuild

* Sun Nov 14 2021 guillomovitch <guillomovitch> 2.1.0-1.mga9
+ Revision: 1756348
- new version 2.1.0

* Fri Sep 04 2020 pterjan <pterjan> 2.0.5-1.mga8
+ Revision: 1621715
- Modernize and update to 2.0.5

* Mon Jun 15 2020 joequant <joequant> 2.0.0-1.mga8
+ Revision: 1593317
- fix spec

* Sun Nov 25 2018 pterjan <pterjan> 2.0.0-1.mga7
+ Revision: 1334408
- imported package golang-github-googleapis-gax

